Bug 151547 - FILEOPEN PPTX: Fully transparent white text appears as Automatic Color
Summary: FILEOPEN PPTX: Fully transparent white text appears as Automatic Color
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Sarper Akdemir
URL:
Whiteboard: target:7.5.0 target:7.4.3 target:7.3.8
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-15 18:10 UTC by Sarper Akdemir
Modified: 2022-10-26 09:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PPTX Reproducer with fully transparent white text (31.96 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-10-15 18:10 UTC, Sarper Akdemir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sarper Akdemir 2022-10-15 18:10:32 UTC
Created attachment 183064 [details]
PPTX Reproducer with fully transparent white text

Description:
PPTX file containing white text with 100% transparent fill is visible when opened in Impress. 

Actual Results:
Text should be 100% transparent when it is opened.

Expected Results:
Text appears to have "Automatic Color".

Additional Info:
See attached reproducer file.
Comment 1 Commit Notification 2022-10-24 13:11:51 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/adfdd2bee4d1d59bf1ee372d9c242cf0b691e423

tdf#151547 pptx import: workaround for COL_AUTO collision

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2022-10-24 20:45:10 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/37e5c4fcbacb73138fe47bf12e27961a47b11af3

tdf#151547 pptx import: workaround for COL_AUTO collision

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Gerald Pfeifer 2022-10-25 23:22:39 UTC
Verified with Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 2486d99c6053af1414117faac2c0db18c0d344c4
CPU threads: 8; OS: Linux 6.0; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2022-10-26 09:31:16 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/d4c5a887b107636dc1e5b854ca02391c4e8d0c46

tdf#151547 pptx import: workaround for COL_AUTO collision

It will be available in 7.3.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.